#!/bin/sh

# Copyright (C) 2023  Braiins Systems s.r.o.
#
# This file is part of Braiins Open-Source Initiative (BOSI).
#
# BOSI is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.
#
# Please, keep in mind that we may also license BOSI or any part thereof
# under a proprietary license. For more information on the terms and conditions
# of such proprietary license or if you have any other questions, please
# contact us at opensource@braiins.com.

# Define installation and sysupgrade files
MNT_PATH="/mnt"
BOS_ROOTFS_FILE=rootfs.img
BOS_RUNNER_FILE=bos-runner.sh
BOS_RUN_FILE=bos-run.sh
BOS_ROOTSHELL=rootshell
BOS_TOOLS_NAME=bos-tools
BOS_INSTALL_DIR="bos"
NVDATA_PATH="/nvdata"
BOS_INSTALL_PATH="$NVDATA_PATH/${BOS_INSTALL_DIR}"
BOS_INSTALL_MOUNT_PATH="${MNT_PATH}/${BOS_INSTALL_DIR}"

# Configuration section
ETC_PART_NAME="etcfs.ext2"
ETC_PART_SIZE="40M"
# `ACTION_FILE_PATH` is path to action file from stock FW
ACTION_FILE_PATH="${BOS_INSTALL_PATH}/bos_action"
# `ACTION_FILE_PATH_BOS` is path from BOS FW
ACTION_FILE_PATH_BOS="${BOS_INSTALL_MOUNT_PATH}/bos_action"
BOOT_FLAG_FILE_PATH="/tmp/bos_boot_flag"
BOS_RUNNER_LOG="bos-runner.log"
LOG_FILE="${BOS_INSTALL_PATH}/$BOS_RUNNER_LOG"

# name of directory with stock configurations in BOS
BOS_ENV_STOCK_CONFIG="stock_config"
# stock config directory path
STOCK_CONFIG_DIR="/config"

# Post install directory and file
POST_INSTALL_DIR="post_install"
POST_INSTALL_SCRIPT="run.sh"
